/* MyDocument */

#import <Cocoa/Cocoa.h>

@interface MyDocument : NSDocument
{
    IBOutlet NSForm *fields;
    IBOutlet NSTextView *textField;
	IBOutlet NSWindow *window;
	
	NSAttributedString *mString;
	@private NSString *name;
	@private NSUserDefaults *preferences;
	@private NSArray *headers;
}
- (IBAction)saveDocument:(id)sender;
- (NSAttributedString *) string;
- (void) setString: (NSAttributedString *) value;

- (id)initWithContentsOfURL:(NSURL *)absoluteURL ofType:(NSString *)typeName error:(NSError **)outError;
@end
