/* SearchController */

#import <Cocoa/Cocoa.h>

@interface SearchController : NSObject
{
	NSMetadataQuery *_query;
	NSString *_searchKey;

    IBOutlet id myOutlet;
    IBOutlet NSSearchField *searchBox;
    IBOutlet NSPanel *searchPanel;
	IBOutlet NSProgressIndicator *progress;
}
- (IBAction)orderOutSearchPanel:(id)sender;

// openFile is used for bindings. See the bindings in the NSTableView
- (void)openFile:(NSString *)path;

- (void) killQuery:(id)sender;

// internal
- (void)runTheQuery;
@end
